Summary:	PHP class to generate PDF files
Name:		php-fpdf
Version:	1.8.2
Release:	%mkrel 1
License:	MIT
Group:		Development/PHP
#http://www.fpdf.org/en/dl.php?v=182&f=tgz
Source0:	fpdf182.tgz
URL:		http://www.fpdf.org
BuildArch:	noarch
BuildRequires:	dos2unix


%description
FPDF is a PHP class that allow generating PDF files with pure PHP, that is to
say without using the PDFlib library. FPDF provides high-level functions and 
has the following main features:

 - Choice of measure unit, page format, and margins
 - Page header and footer management
 - Automatic page break
 - Automatic line break and text justification
 - Image support (JPEG and PNG)
 - Colors
 - Links
 - TrueType, Type1, and encoding support
 - Page compression

%prep

%setup -q -n fpdf182

find . -name "*.htm" \
     -name "*.css" \
     -name "*.txt" \
     -name "*.ini" \
     -name "*.mat" \
     -name "*.afm" \
     -name "*.ttf" \
     -name "*.z" \
     -name "*.png" \
     -exec chmod 644 {} \;

find . -name "*.txt" -name "*.ini" -exec dos2unix -U {} \;

%install
install -d %{buildroot}%{_datadir}/php/fpdf
cp -a fpdf.php %{buildroot}%{_datadir}/php/fpdf/
cp -pR font %{buildroot}%{_datadir}/php/fpdf/

install -d %{buildroot}%{_docdir}/php-fpdf
cp -pR doc %{buildroot}%{_docdir}/php-fpdf/
cp -pR tutorial %{buildroot}%{_docdir}/php-fpdf/
cp -p FAQ.htm fpdf.css fpdf.php install.txt license.txt %{buildroot}%{_docdir}/php-fpdf/

%files 
%{_datadir}/php/fpdf
%{_docdir}/php-fpdf





%changelog
* Sun Jun 28 2020 mokraemer <mokraemer> 1.8.2-1.mga8
+ Revision: 1600104
- fix build err
- new version 1.8.2

* Wed Feb 12 2020 umeabot <umeabot> 1.8.1-3.mga8
+ Revision: 1507211
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.8.1-2.mga7
+ Revision: 1287648
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 mokraemer <mokraemer> 1.8.1-1.mga7
+ Revision: 1180284
- new versioN

* Fri Feb 05 2016 umeabot <umeabot> 1.7-6.mga6
+ Revision: 938050
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-5.mga5
+ Revision: 745258
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-4.mga5
+ Revision: 687124
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-3.mga4
+ Revision: 516475
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 375751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 21 2011 spuhler <spuhler> 1.7-1.mga2
+ Revision: 185204
- upgrade to 1.7
  removed cp -p histo.htm since it doesn't exist in 1.7

* Sun Feb 06 2011 spuhler <spuhler> 1.6-4.mga1
+ Revision: 47890
- removed buildroot definition from .spec
- imported package php-fpdf

